﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;

namespace PagesTest.ViewModel
{
    public class FirstViewModel : ViewModelBase
    {
        private readonly MainWorkspace _mainWs;
        private string _displayText;
        public string DisplayText { get => _displayText; set => SetValue(ref _displayText, value); }

        public ICommand BackCommand { get; private set; }
   
        public FirstViewModel(string displayText, MainWorkspace mainWs)
        {
            _mainWs = mainWs;
            DisplayText = displayText;
            BackCommand = new RelayCommand(b => _mainWs.CurrentContent = new MainViewModel("Zurück von Erster Seite", _mainWs));
        }
    }
}
